Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nu.xom
Class MalformedURIException

    Object
      Throwable
          Exception
              RuntimeException
                  nu.xom.XMLException
                      nu.xom.WellformednessException
                          nu.xom.IllegalDataException
                              nu.xom.MalformedURIException

All Implemented Interfaces:
  Serializable

    public class MalformedURIException

extends IllegalDataException

Indicates that a string intended for use as a URI or URI reference (typically a namespace name or a base URI) is not syntactically correct according to RFC 3986.

Version:
  1.1b3
Author:
  Elliotte Rusty Harold
See Also:
  Serialized Form

Constructor Summary
`MalformedURIException(String message)` Creates a new `MalformedURIException` with a detail message.
`MalformedURIException(String message, Throwable cause)` Creates a new `MalformedURIException` with a detail message and an underlying root cause.

Method Summary

Methods inherited from class nu.xom.IllegalDataException
`getData, setData`

Methods inherited from class nu.xom.XMLException
`getCause, initCause`

Methods inherited from class Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MalformedURIException

    public MalformedURIException(String message)

  Creates a new `MalformedURIException` with a detail message.

  Parameters:
    `message` - a string indicating the specific problem

### MalformedURIException

    public MalformedURIException(String message,
                                 Throwable cause)

  Creates a new `MalformedURIException` with a detail message and an underlying root cause.

  Parameters:
    `message` - a string indicating the specific problem
    `cause` - the original cause of this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2009 Elliotte Rusty Harold
elharo@ibiblio.org